utilities: Remove ovs-monitor.
authorBen Pfaff <blp@nicira.com>
Wed, 25 Aug 2010 16:57:11 +0000 (09:57 -0700)
committerBen Pfaff <blp@nicira.com>
Wed, 25 Aug 2010 17:03:37 +0000 (10:03 -0700)
The ovs-monitor script is now more than adequately replaced by the
--monitor option to the various daemons.

CC: Simon Horman <horms@verge.net.au>
Signed-off-by: Ben Pfaff <blp@nicira.com>
debian/.gitignore
debian/automake.mk
debian/control
debian/openvswitch-monitor.default [deleted file]
debian/openvswitch-monitor.dirs [deleted file]
debian/openvswitch-monitor.init [deleted file]
debian/openvswitch-monitor.install [deleted file]
utilities/automake.mk
utilities/ovs-monitor [deleted file]
xenserver/openvswitch-xen.spec

index 345f3fe..aa8169b 100644 (file)
@@ -11,7 +11,6 @@
 /openvswitch-controller
 /openvswitch-datapath-source
 /openvswitch-dbg
-/openvswitch-monitor
 /openvswitch-pki
 /openvswitch-pki-server
 /openvswitch-switch
index 682488a..c8b791b 100644 (file)
@@ -23,10 +23,6 @@ EXTRA_DIST += \
        debian/openvswitch-datapath-source.copyright \
        debian/openvswitch-datapath-source.dirs \
        debian/openvswitch-datapath-source.install \
-       debian/openvswitch-monitor.default \
-       debian/openvswitch-monitor.dirs \
-       debian/openvswitch-monitor.init \
-       debian/openvswitch-monitor.install \
        debian/openvswitch-pki-server.apache2 \
        debian/openvswitch-pki-server.dirs \
        debian/openvswitch-pki-server.install \
index 9dfc4b5..32a8fca 100644 (file)
@@ -99,15 +99,6 @@ Description: Debug symbols for Open vSwitch packages
  packages.  Install it to debug one of them or to examine a core dump
  produced by one of them.
 
-Package: openvswitch-monitor
-Architecture: any
-Recommends: openvswitch-switch
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Monitor utility for Open vSwitch switches
- The ovs-monitor utility included in this package monitors the
- ovs-openflowd process and the kernel datapath.  If either become
- unresponsive, it reboots the machine.
-
 Package: openvswitch-wdt
 Architecture: any
 Recommends: openvswitch-switch
diff --git a/debian/openvswitch-monitor.default b/debian/openvswitch-monitor.default
deleted file mode 100644 (file)
index e61e91e..0000000
+++ /dev/null
@@ -1,28 +0,0 @@
-# This is a POSIX shell fragment                -*- sh -*-
-
-# To configure the Open vSwitch monitor package, modify the following.
-# Afterward, the monitor will be configured automatically at boot time.  
-# It can be started immediately with
-#       /etc/init.d/openvswitch-monitor start
-
-# Defaults for initscript
-# sourced by /etc/init.d/openvswitch-monitor
-# installed at /etc/default/openvswitch-monitor by the maintainer scripts
-
-# THRESHOLD: The number of failed attempts the monitor should make until
-# it reboots the system.  A value of zero disables the monitor.
-THRESHOLD=3
-
-# INTERVAL: The number of seconds to wait between probing
-# ovs-openflowd and the datapath.
-INTERVAL=1
-
-# LOG_FILE: File to log messages related to monitoring.
-LOG_FILE="/var/log/openvswitch/ovs-monitor.log"
-
-# SWITCH_VCONN: The vconn used to connect to the switch
-# (ovs-openflowd).  The ovs-openflowd must be configured to listen to
-# this vconn.  The default here set is also listened to by default by
-# the openvswitch-switch package, so ordinarily there is no need to
-# modify this.
-SWITCH_VCONN="/var/run/openvswitch/ovs-openflowd.mgmt"
diff --git a/debian/openvswitch-monitor.dirs b/debian/openvswitch-monitor.dirs
deleted file mode 100644 (file)
index 236670a..0000000
+++ /dev/null
@@ -1 +0,0 @@
-usr/sbin
diff --git a/debian/openvswitch-monitor.init b/debian/openvswitch-monitor.init
deleted file mode 100755 (executable)
index 62c0ac8..0000000
+++ /dev/null
@@ -1,175 +0,0 @@
-#!/bin/sh 
-#
-# Example init.d script with LSB support.
-#
-# Please read this init.d carefully and modify the sections to
-# adjust it to the program you want to run.
-#
-# Copyright (c) 2007, 2009 Javier Fernandez-Sanguino <jfs@debian.org>
-#
-# This is free software; you may redistribute it and/or modify
-# it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2,
-# or (at your option) any later version.
-#
-# This is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License with
-# the Debian operating system, in /usr/share/common-licenses/GPL;  if
-# not, write to the Free Software Foundation, Inc., 59 Temple Place,
-# Suite 330, Boston, MA 02111-1307 USA
-#
-### BEGIN INIT INFO
-# Provides:          openvswitch-monitor
-# Required-Start:    $network $local_fs $remote_fs
-# Required-Stop:     $remote_fs
-# Should-Start:      $named $syslog openvswitch-switch
-# Should-Stop:       
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Open vSwitch switch monitor
-### END INIT INFO
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-
-DAEMON=/usr/sbin/ovs-monitor
-NAME=ovs-monitor
-DESC="Open vSwitch switch monitor"
-
-PIDFILE=/var/run/openvswitch/$NAME.pid 
-
-test -x $DAEMON || exit 0
-
-. /lib/lsb/init-functions
-
-# Default options, these can be overriden by the information
-# at /etc/default/openvswitch-monitor
-DAEMON_OPTS=""          # Additional options given to the daemon 
-
-DODTIME=10              # Time to wait for the daemon to die, in seconds
-                        # If this value is set too low you might not
-                        # let some daemons to die gracefully and
-                        # 'restart' will not work
-                        
-# Include defaults if available
-default=/etc/default/openvswitch-monitor
-if [ -f $default ] ; then
-    . $default
-fi
-
-set -e
-
-running_pid() {
-# Check if a given process pid's cmdline matches a given name
-    pid=$1
-    name=$2
-    [ -z "$pid" ] && return 1 
-    [ ! -d /proc/$pid ] &&  return 1
-    return 0
-}
-
-running() {
-# Check if the process is running looking at /proc
-# (works for all users)
-
-    # No pidfile, probably no daemon present
-    [ ! -f "$PIDFILE" ] && return 1
-    pid=`cat $PIDFILE`
-    running_pid $pid $DAEMON || return 1
-    return 0
-}
-
-start_daemon() {
-# Start the process using the wrapper
-    if test $THRESHOLD != 0; then
-        start-stop-daemon --start --quiet -m --background --pidfile $PIDFILE \
-            --exec $DAEMON -- -c $THRESHOLD -i $INTERVAL -l $LOG_FILE \
-            -s $SWITCH_VCONN $DAEMON_OPTS 
-    fi
-
-    # Wait up to 3 seconds for the daemon to start.
-    for i in 1 2 3; do
-        if running; then
-            break
-        fi
-        sleep 1
-    done
-}
-
-stop_daemon() {
-    start-stop-daemon -o --stop --pidfile $PIDFILE
-    rm $PIDFILE
-}
-
-case "$1" in
-  start)
-        log_daemon_msg "Starting $DESC " "$NAME"
-        # Check if it's running first
-        if running ;  then
-            log_progress_msg "apparently already running"
-            log_end_msg 0
-            exit 0
-        fi
-        if start_daemon && running ;  then
-            # It's ok, the daemon started and is running
-            log_end_msg 0
-        else
-            # Either we could not start it or it is not running
-            # after we did
-            # NOTE: Some daemons might die some time after they start,
-            # this code does not try to detect this and might give
-            # a false positive (use 'status' for that)
-            log_end_msg 1
-        fi
-        ;;
-  stop)
-        log_daemon_msg "Stopping $DESC" "$NAME"
-        if running ; then
-            # Only stop the daemon if we see it running
-            stop_daemon
-            log_end_msg $?
-        else
-            # If it's not running don't do anything
-            log_progress_msg "apparently not running"
-            log_end_msg 0
-            exit 0
-        fi
-        ;;
-  restart|force-reload)
-        log_daemon_msg "Restarting $DESC" "$NAME"
-        if running ;  then
-            stop_daemon
-            # Wait some sensible amount, some daemons need this
-            [ -n "$DIETIME" ] && sleep $DIETIME
-        fi
-        start_daemon
-        running
-        log_end_msg $?
-        ;;
-  status)
-        log_daemon_msg "Checking status of $DESC" "$NAME"
-        if running ;  then
-            log_progress_msg "running"
-            log_end_msg 0
-        else
-            log_progress_msg "apparently not running"
-            log_end_msg 1
-            exit 1
-        fi
-        ;;
-  # Use this if the daemon cannot reload
-  reload)
-        log_warning_msg "Reloading $NAME daemon: not implemented, as the daemon"
-        log_warning_msg "cannot re-read the config file (use restart)."
-        ;;
-  *)
-        N=/etc/init.d/openvswitch-monitor
-        echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
-        exit 1
-        ;;
-esac
-
-exit 0
diff --git a/debian/openvswitch-monitor.install b/debian/openvswitch-monitor.install
deleted file mode 100644 (file)
index 9fc601a..0000000
+++ /dev/null
@@ -1 +0,0 @@
-utilities/ovs-monitor usr/sbin
index 280ee87..1fed6bb 100644 (file)
@@ -9,7 +9,6 @@ bin_PROGRAMS += \
        utilities/ovs-vsctl
 bin_SCRIPTS += utilities/ovs-pki utilities/ovs-vsctl
 noinst_SCRIPTS += utilities/ovs-pki-cgi utilities/ovs-parse-leaks
-dist_sbin_SCRIPTS += utilities/ovs-monitor 
 
 EXTRA_DIST += \
        utilities/ovs-appctl.8.in \
diff --git a/utilities/ovs-monitor b/utilities/ovs-monitor
deleted file mode 100755 (executable)
index 9df05f0..0000000
+++ /dev/null
@@ -1,127 +0,0 @@
-#!/bin/sh
-
-# Copyright (C) 2008, 2009 Nicira Networks, Inc.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-
-OPENFLOWD_PID=/var/run/openvswitch/ovs-openflowd.pid
-OPENFLOWD_SOCK=/var/run/openvswitch/ovs-openflowd.mgmt
-LOG_FILE=/var/log/openvswitch/ovs-monitor.log
-INTERVAL=1
-FAIL_THRESH=3
-
-usage() {
-    echo usage: $0 options
-    echo
-    echo "OPTIONS:"
-    echo "  -h   Show this message"
-    echo "  -p   PID file for ovs-openflowd (default: $OPENFLOWD_PID)"
-    echo "  -s   Unix socket for ovs-openflowd (default: $OPENFLOWD_SOCK)"
-    echo "  -l   File to log messages (default: $LOG_FILE)"
-    echo "  -i   Interval to send probes in seconds (default: $INTERVAL)"
-    echo "  -c   Number of failed probes before reboot (default: $FAIL_THRESH)"
-}
-
-log() {
-    echo `date +"%b %d %X"`:$1 
-    echo `date +"%b %d %X"`:$1 >> $LOG_FILE
-}
-
-
-while getopts "hp:s:l:i:c:" OPTION; do
-    case $OPTION in
-        h)
-            usage
-            exit 1
-            ;;
-
-        p) 
-            OPENFLOWD_PID=$OPTARG
-            ;;
-
-        s) 
-            OPENFLOWD_SOCK=$OPTARG
-            ;;
-
-        l) 
-            LOG_FILE=$OPTARG
-            ;;
-
-        i) 
-            INTERVAL=$OPTARG
-            ;;
-
-        c) 
-            FAIL_THRESH=$OPTARG
-            ;;
-
-        *)
-            echo "Unknown option: ${OPTION}"
-    esac
-done
-
-
-if [ ! -f $OPENFLOWD_PID ]; then
-    log "No ovs-openflowd pid file: ${OPENFLOWD_PID}"
-    echo "No ovs-openflowd pid file: ${OPENFLOWD_PID}"
-fi
-
-if [ ! -S $OPENFLOWD_SOCK ]; then
-    log "No ovs-openflowd sock file: ${OPENFLOWD_SOCK}"
-    echo "No ovs-openflowd sock file: ${OPENFLOWD_SOCK}"
-fi
-
-if [ ! -d `dirname $LOG_FILE` ]; then
-    mkdir -p `dirname $LOG_FILE`
-fi
-
-let DP_DOWN=0
-let OPENFLOWD_DOWN=0
-log "===== Starting Monitor ===="
-while `/bin/true`; do
-    # Only check for liveness if ovs-openflowd's PID file exists.  The PID
-    # file is removed when ovs-openflowd is brought down gracefully.
-    if [ -f $OPENFLOWD_PID ]; then
-        pid=`cat $OPENFLOWD_PID`
-        if [ -d /proc/$pid ]; then
-            # Check if the ovs-openflowd and datapath still can communicate
-            if [ -S $OPENFLOWD_SOCK ]; then
-                ovs-ofctl probe -t 2 unix:$OPENFLOWD_SOCK
-                if [ $? -ne 0 ]; then
-                    log "datapath probe failed"
-                    let DP_DOWN++
-                else 
-                    let DP_DOWN=0
-                fi
-            fi
-            let OPENFLOWD_DOWN=0
-        else
-            log "ovs-openflowd probe failed"
-            let OPENFLOWD_DOWN++
-        fi
-    fi
-
-    if [ $OPENFLOWD_DOWN -ge $FAIL_THRESH ]; then
-        log "Failed to probe ovs-openflowd after ${OPENFLOWD_DOWN} tries...rebooting!"
-        reboot
-    fi
-
-    if [ $DP_DOWN -ge $FAIL_THRESH ]; then
-        log "Failed to probe datapath after ${DP_DOWN} tries...rebooting!"
-        reboot
-    fi
-
-    sleep $INTERVAL 
-done
index d2433f9..0b3c655 100644 (file)
@@ -97,7 +97,6 @@ rm \
     $RPM_BUILD_ROOT/usr/bin/ovs-openflowd \
     $RPM_BUILD_ROOT/usr/bin/ovs-pki \
     $RPM_BUILD_ROOT/usr/bin/ovs-wdt \
-    $RPM_BUILD_ROOT/usr/sbin/ovs-monitor \
     $RPM_BUILD_ROOT/usr/share/man/man8/ovs-controller.8 \
     $RPM_BUILD_ROOT/usr/share/man/man8/ovs-discover.8 \
     $RPM_BUILD_ROOT/usr/share/man/man8/ovs-kill.8 \